<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>Devices_Resource</title>
        <!-- <script src="http://use.edgefonts.net/source-sans-pro;source-code-pro.js"></script> -->
<link href='http://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,700,300italic,400italic,700italic|Source+Code+Pro:300,400,700' rel='stylesheet' type='text/css'>
<link rel="stylesheet" href="../assets/css/bootstrap.css">
<link rel="stylesheet" href="../assets/css/jquery.bonsai.css">
<link rel="stylesheet" href="../assets/css/main.css">
<link rel="stylesheet" href="../assets/css/icons.css">
<script type="text/javascript" src="../assets/js/jquery-2.1.0.min.js"></script>
<script type="text/javascript" src="../assets/js/bootstrap.js"></script>
<script type="text/javascript" src="../assets/js/jquery.bonsai.js"></script>
<!-- <script type="text/javascript" src="../assets/js/main.js"></script> -->

    </head>
    <body>
        <div>

            <!-- Name Title -->

            <h1>Devices_Resource</h1>

            <!-- Type and Stereotype -->

            <section style="margin-top: .5em;">
                <span class="alert alert-info">
                    <span class="node-icon _icon-UMLInteraction"></span>
                    UMLInteraction
                </span>
                
            </section>

            <!-- Path -->

            <section style="margin-top: 10px">
                
                
                
                    
                    <span class="label label-info"><a href='cf9c8b720f3815adeccaf3ef6e48c6c4.html'><span class='node-icon _icon-Project'></span>SDS_API</a></span>
                
                    <span>::</span>
                    <span class="label label-info"><a href='7509e2c2e6188caa1c4f143a6d87cb8b.html'><span class='node-icon _icon-UMLModel'></span>Interactions</a></span>
                
                    <span>::</span>
                    <span class="label label-info"><a href='341c7df429de369b1a79a9b84b71abc1.html'><span class='node-icon _icon-UMLCollaboration'></span>SCADA-WebService</a></span>
                
                    <span>::</span>
                    <span class="label label-info"><a href='47a9beef707d3a1b2cd12aab3b4186e7.html'><span class='node-icon _icon-UMLInteraction'></span>Devices_Resource</a></span>
                
            </section>

            <!-- Diagram -->

            

            <!-- Description -->

            
            <section>
                <h3>Description</h3>
                <div>
                    
                        <span class="label label-info">none</span>
                    
                </div>
            </section>
            

            <!-- Specification -->

            

            <!-- Directed Relationship -->

            

            <!-- Undirected Relationship -->

            

            <!-- Classifier -->

            

            <!-- Interface -->

            

            <!-- Component -->

            

            <!-- Node -->

            

            <!-- Actor -->

            

            <!-- Use Case -->

            

            <!-- Template Parameters -->

            

            <!-- Literals -->

            

            <!-- Attributes -->

            

            <!-- Operations -->

            

            <!-- Receptions -->

            

            <!-- Extension Points -->

            

            <!-- Parameters -->

            

            <!-- Diagrams -->

            
            
            <section class="element-list">
                <h3>Diagrams</h3>
                <div>
                    
                    <div style="display: inline-block; width: 250px; vertical-align: top;">
                        <div class="member">
                            <a href="750c61db3a09b93e949a6c83a8f0f622.html">
                            <img src="../diagrams/750c61db3a09b93e949a6c83a8f0f622.svg">
                            <div style="text-align: center; margin-top: 1em;">POST_Devices</div>
                            </a>
                        </div>
                    </div>
                    
                </div>
            </section>
            

            <!-- Behavior -->

            
                
                


                
                

            

            <!-- Action -->

            

            <!-- Interaction -->

            
                
                


                
                
<section class="element-list">
    <h3>Participants</h3>
    <ul class="nav nav-list">
        
        <li><a href='309a0c4baeb2d4e38de1b70d7819eba9.html'><span class='node-icon _icon-UMLLifeline'></span>User: SCADA</a></li>
        
        <li><a href='4d8971c2d24d5d782f3eac9a5668dc7e.html'><span class='node-icon _icon-UMLLifeline'></span>Service: DevicesService</a></li>
        
        <li><a href='98dd47532c72d7a165359c77bb158d3e.html'><span class='node-icon _icon-UMLLifeline'></span>ODL: ODL_Rest_Interface</a></li>
        
        <li><a href='4b9c894af765c737e8cc45a6f34e035e.html'><span class='node-icon _icon-UMLLifeline'></span>Client: Client</a></li>
        
        <li><a href='6d7713bf5201c74074f296b185ae2db7.html'><span class='node-icon _icon-UMLLifeline'></span>Abstract: Service</a></li>
        
        <li><a href='9dca879845f1dbc0eb81b82fc16b4a38.html'><span class='node-icon _icon-UMLLifeline'></span>ListOfDevices</a></li>
        
        <li><a href='40ef429defe00b860643eb38555a1f51.html'><span class='node-icon _icon-UMLLifeline'></span>SDS: SDS_Rest_Interface</a></li>
        
    </ul>
</section>



                
                
<section class="element-list">
    <h3>Messages</h3>
    <ul class="nav nav-list">
        
        <li><a href='3c2f2b1b508415b2f56a4c47c0ca529a.html'><span class='node-icon _icon-UMLMessage'></span>DevicesRequest (User→SDS)</a></li>
        
        <li><a href='4d1f34ea80cb41ba09335b12019bdadf.html'><span class='node-icon _icon-UMLMessage'></span>PostService (SDS→Service)</a></li>
        
        <li><a href='8fd72f2c3b19367c536cdf7f2c6ae349.html'><span class='node-icon _icon-UMLMessage'></span>createListOfDevices (Service→ListOfDevices)</a></li>
        
        <li><a href='52c76355935c59d41f96773ab64aa65e.html'><span class='node-icon _icon-UMLMessage'></span>getClient (Service→Abstract)</a></li>
        
        <li><a href='06df69a9e5200d2baf5329a5845d81c8.html'><span class='node-icon _icon-UMLMessage'></span>getInstance (Abstract→Client)</a></li>
        
        <li><a href='e2d4d39585ebd2188484e458fdc22e8b.html'><span class='node-icon _icon-UMLMessage'></span>ClientInstance (Abstract→Service)</a></li>
        
        <li><a href='a49f0dcec53a732f99b54c781424d3d0.html'><span class='node-icon _icon-UMLMessage'></span>updateDevices (Service→Service)</a></li>
        
        <li><a href='b83477d525774e1942eec7c56b234ff4.html'><span class='node-icon _icon-UMLMessage'></span>setDevicesToODL (Service→Client)</a></li>
        
        <li><a href='7e2f5605eb623713c239c98512764c71.html'><span class='node-icon _icon-UMLMessage'></span>HttpRequestMessage (Client→ODL)</a></li>
        
        <li><a href='500046f9f4aa5e30445d46d74c2b1d9e.html'><span class='node-icon _icon-UMLMessage'></span>ResponseFromODL (ODL→Client)</a></li>
        
        <li><a href='3fb887d2d2d1cdbd636a23a76f68b88e.html'><span class='node-icon _icon-UMLMessage'></span>ResponseFromAPI (Service→SDS)</a></li>
        
    </ul>
</section>


            

            <!-- CombinedFragment -->

            

            <!-- Activity -->

            

            <!-- State Machine -->

            

            <!-- State Machine -->

            

            <!-- State -->

            

            <!-- Vertex -->

            

            <!-- Transition -->

            

            <!-- Properties -->

            <section>
                <h3>Properties</h3>
                
                <table class="table table-striped table-bordered">
    <tr>
        <th width="50%">Name</th>
        <th width="50%">Value</th>
    </tr>
    
    
    
    
    
    
    
    <tr>
        <td>name</td>
        <td>Devices_Resource</td>
    </tr>
    
    
    
    
    
    
    
    
    
    
    
    <tr>
        <td>stereotype</td>
        <td><span class='label label-info'>null</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>visibility</td>
        <td>public</td>
    </tr>
    
    
    
    
    
    
    
    <tr>
        <td>isReentrant</td>
        <td><span class='label label-info'>true</span></td>
    </tr>
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
</table>                

            </section>

            <!-- Tags -->

            

            <!-- Constraints, Dependencies, Dependants -->

            
                
                


                
                


                
                

            

            <!-- Relationships -->

            
            


            <!-- Owned Elements -->

            
            
<section class="element-list">
    <h3>Owned Elements</h3>
    <ul class="nav nav-list">
        
        <li><a href='750c61db3a09b93e949a6c83a8f0f622.html'><span class='node-icon _icon-UMLCommunicationDiagram'></span>POST_Devices</a></li>
        
    </ul>
</section>



        </div>
    </body>
</html>
